Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.lifecycle
Class LifecycleResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.soa.esb.lifecycle.LifecycleResourceException

All Implemented Interfaces:
  java.io.Serializable

    public class LifecycleResourceException

extends java.lang.Exception

Exception class used for reporting exceptions during lifecycle resource creation/destruction.

Author:
  kevin
See Also:
  Serialized Form

Constructor Summary
`LifecycleResourceException()` Construct a default lifecycle resource exception.
`LifecycleResourceException(java.lang.String message)` Construct a lifecycle resource exception with a specific message.
`LifecycleResourceException(java.lang.String message, java.lang.Throwable cause)` Construct a lifecycle resource exception with a specific message and cause.
`LifecycleResourceException(java.lang.Throwable cause)` Construct a lifecycle resource exception with a specific cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LifecycleResourceException

    public LifecycleResourceException()

  Construct a default lifecycle resource exception.

### LifecycleResourceException

    public LifecycleResourceException(java.lang.String message)

  Construct a lifecycle resource exception with a specific message.

  Parameters:
    `message` - the associated message.

### LifecycleResourceException

    public LifecycleResourceException(java.lang.Throwable cause)

  Construct a lifecycle resource exception with a specific cause.

  Parameters:
    `cause` - the associated cause.

### LifecycleResourceException

    public LifecycleResourceException(java.lang.String message,
                                      java.lang.Throwable cause)

  Construct a lifecycle resource exception with a specific message and cause.

  Parameters:
    `message` - the associated message.
    `cause` - the associated cause.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD